
Redmine - Patch #4580

Run rake db:schema:dump after rake db:migrate_plugins

2010-01-14 14:10 - Konstantin Haase

Status: Closed Start date: 2010-01-14

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

rake db:migrate runs rake db:schema:dump after applying all migrations. Thus you can run rake test directly after db:migrate.

This patch applies the same behavior to rake db:migrate_plugins, so it is easier to test if your plugins did not break Redmine. Patch

is based on trunk (actually, master of git mirror).

Related issues:

Is duplicate of Redmine - Patch #11299: redmine:plugins:migrate should update... Closed

History

#1 - 2010-02-11 11:28 - Konstantin Haase

- Assignee set to Eric Davis

#2 - 2010-10-25 17:03 - Eric Davis

- Assignee deleted (Eric Davis)

#3 - 2024-01-25 00:47 - Go MAEDA

- Status changed from New to Closed

Fixed by #11299 (Redmine 2.0.4).

#4 - 2024-01-25 00:48 - Go MAEDA

- Is duplicate of Patch #11299: redmine:plugins:migrate should update db/schema.rb added

Files

0001-run-rake-db-schema-dump-after-rake-db-migrate-plugin.patch 879 Bytes 2010-01-14 Konstantin Haase
